Subject: bug#40728: 27.0.91; Removed public functions from debugger.el

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Apr 2020 18:24:13 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Mon, 20 Apr 2020 10:21:03 +0200
> 
> 
> It looks like the following public functions were deleted from
> debugger.el between Emacs 26 and 27: debug-help-follow,
> debugger-insert-backtrace, debugger-toggle-locals.  All three were
> public (didn't contain a double hyphen) and documented, therefore meant
> for general use.  I don't think we should remove such functions (and
> break users' workflows that rely on them) without a strong reason.
> Please consider restoring these functions for Emacs 27.

Gemini, could you please write replacements for the functions you
removed, or defalias them to some equivalent replacements?  I agree
that public functions should not be removed, not without deprecating
them first (if indeed they don't make sense).

Thanks.